Welcome to the forum, Guest

  • Page:
  • 1
  • 2

TOPIC: Help updating to 9.5.0 on Raspbian/Raspberry Pi

Help updating to 9.5.0 on Raspbian/Raspberry Pi 3 years 5 months ago #4057

CuriousGamer

Offline

Junior Boarder

Posts: 21

Karma: 0

I tried to re-build/install following the instructions on this site but I don't think it worked properly or just gave me the same version I had.
Running YACReaderLibraryServer --version doesn't do much, just gives me a list of commands I can use and the iOS reader says it needs a higher server version.
The administrator has disabled public write access.

Help updating to 9.5.0 on Raspbian/Raspberry Pi 3 years 5 months ago #4059

Luis Ángel

Offline

Administrator

Posts: 1839

Thank you received: 395

Karma: 37

Get the code from this link:

github.com/YACReader/yacreader.git

you have to use
git clone https://github.com/YACReader/yacreader.git
instead of using hg
Contribute to the project becoming a patron: www.patreon.com/yacreader
You can also donate via Pay-Pal: t.ly/ODFV
The administrator has disabled public write access.
The following user(s) said Thank You: CuriousGamer

Help updating to 9.5.0 on Raspbian/Raspberry Pi 3 years 5 months ago #4062

Luis Ángel

Offline

Administrator

Posts: 1839

Thank you received: 395

Karma: 37

or you can grab the code from this link: github.com/YACReader/yacreader/releases/tag/9.5.0
Contribute to the project becoming a patron: www.patreon.com/yacreader
You can also donate via Pay-Pal: t.ly/ODFV
The administrator has disabled public write access.
The following user(s) said Thank You: CuriousGamer

Help updating to 9.5.0 on Raspbian/Raspberry Pi 3 years 5 months ago #4064

CuriousGamer

Offline

Junior Boarder

Posts: 21

Karma: 0

Installed but now I get the error "Could not connect to the server" on my iOS device.
The administrator has disabled public write access.

Help updating to 9.5.0 on Raspbian/Raspberry Pi 3 years 5 months ago #4065

Luis Ángel

Offline

Administrator

Posts: 1839

Thank you received: 395

Karma: 37

How big is your library? The first run needs to update the library to the new 9.5 format, it can take a few minutes depending on how many comics do you have
Contribute to the project becoming a patron: www.patreon.com/yacreader
You can also donate via Pay-Pal: t.ly/ODFV
The administrator has disabled public write access.
The following user(s) said Thank You: CuriousGamer

Help updating to 9.5.0 on Raspbian/Raspberry Pi 3 years 5 months ago #4066

CuriousGamer

Offline

Junior Boarder

Posts: 21

Karma: 0

It's a tad large, I'm running a full update now.
Will report back when it's done.
The administrator has disabled public write access.

Help updating to 9.5.0 on Raspbian/Raspberry Pi 3 years 5 months ago #4067

CuriousGamer

Offline

Junior Boarder

Posts: 21

Karma: 0

Updated but I still can't access my library on my Pi.
If I scan the QR code on my
Windows PC (accessing the same library over the network) it works fine and shows up no problem but not to my Pi.
Has the default port been changed? I was using 8080 before.
Last Edit: 3 years 5 months ago by CuriousGamer.
The administrator has disabled public write access.

Help updating to 9.5.0 on Raspbian/Raspberry Pi 3 years 5 months ago #4068

Luis Ángel

Offline

Administrator

Posts: 1839

Thank you received: 395

Karma: 37

No, it hasn’t changed, if you tried to run 9.5 while 9.0 was running maybe the app jumped to another port. Try to find the file YACReaderLibrary.ini and set the port there.

There path to that file is here in the forum.
Contribute to the project becoming a patron: www.patreon.com/yacreader
You can also donate via Pay-Pal: t.ly/ODFV
The administrator has disabled public write access.
The following user(s) said Thank You: CuriousGamer

Help updating to 9.5.0 on Raspbian/Raspberry Pi 3 years 5 months ago #4069

CuriousGamer

Offline

Junior Boarder

Posts: 21

Karma: 0

I tried to change the port but still nothing, I checked the log and it says "Unable to create local server"
The administrator has disabled public write access.

Help updating to 9.5.0 on Raspbian/Raspberry Pi 3 years 5 months ago #4071

Luis Ángel

Offline

Administrator

Posts: 1839

Thank you received: 395

Karma: 37

hmmm, that means that other instance is running, check that the previous version is not running.

Did you install the new version using "make install"? If not do it, then restart you PI
Contribute to the project becoming a patron: www.patreon.com/yacreader
You can also donate via Pay-Pal: t.ly/ODFV
The administrator has disabled public write access.
The following user(s) said Thank You: CuriousGamer
  • Page:
  • 1
  • 2
Powered by Kunena Forum